Update an SSH key.
curl --request PATCH \
--url https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Updated SSH key"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId}"
payload = { "name": "My Updated SSH key" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Updated SSH key'})
};
fetch('https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "ssh-key",
"code": 501,
"message": "The user has no permission to access the SSH key."
}{
"group": "ssh-key",
"code": 1400,
"message": "Update SSH key encountered DB error.",
"traces": [
"DB error occurred."
]
}me
Update an SSH key.
Update the name of an SSH key owned by the currently authenticated user.
- Users can only update their own keys.
PATCH
/
me
/
ssh-keys
/
{sshKeyId}
Update an SSH key.
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The ID of the SSH key
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Body
application/json
The request body for SSH key update.
Human-readable name for the SSH key.
Example:
"My Updated SSH key"
Response
Successfully updated the SSH key.
⌘I